Get Provider Gateways

Get Provider Gateways
Get all Centralized Connections.

Get all Centralized Connections. Use the 'availableForRegionalNetworkingSettingId' filter to get Centralized Connections that can be added to a specific Regional Networking Setting: filter=availableForRegionalNetworkingSettingId==URN.

Request
URI
GET
https://{api_host}/cloudapi/v1/providerGateways
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProviderGateways of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineProviderGateways1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "status": "string",
            "id": "string",
            "name": "string",
            "description": "string",
            "orgRef": {
                "name": "string",
                "id": "string"
            },
            "regionRef": {
                "name": "string",
                "id": "string"
            },
            "backingType": "string",
            "backingRef": {
                "id": "string",
                "name": "string"
            },
            "ipSpaceRefs": [
                {
                    "name": "string",
                    "id": "string"
                }
            ],
            "gatewayConnectionBackingId": "string",
            "inboundRemoteNetworks": [
                "string"
            ],
            "allowAdvertisingPrivateIpBlocks": false,
            "natConfig": {
                "enableSnat": false,
                "ipSpaceRef": {
                    "name": "string",
                    "id": "string"
                },
                "logging": false
            }
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/providerGateways?page=value&pageSize=v